package com.yeejoin.amos.fas.business.action.model;

public enum SetpEnum {
	STEP0("0", "确认火灾", 0),
	STEP1("1", "停运换流阀、拨打报警电话", 1),
	STEP2("2", "开启水喷雾系统", 2),
	STEP3("3", "断开上级电源", 3),
	STEP4("4", "开启油枕排油系统", 4),
	STEP5("5", "消防炮“一键启动”", 5),
//	STEP6("6", "消防供水", 6),
	STEP7("7", "阀厅防护", 7),
	STEP8("8", "本体排油", 8),
	STEP9("9", "停运空调和水冷系统", 9),
	STEP10("10", "驻站消防指挥权准备交接", 10),
	STEP11("11", "驻站消防指挥权交接", 11),
	STEP12("12", "电缆沟封堵", 12),
	STEP13("13", "灭火指挥权交接", 13),
	STEP14("14", "应急处置结束", 14);


	private String stepCode;
	private String stepName;
	private int order;

	SetpEnum(String stepCode, String stepName, int order) {
		this.stepCode = stepCode;
		this.stepName = stepName;
		this.order = order;
	}

	public String getValue() {
		return stepCode;
	}

	public String getTitle() {
		return stepName;
	}

	public int getOrder() {
		return order;
	}

	public static SetpEnum getStepByCode(String stepCode) {
		for (SetpEnum setp : SetpEnum.values()) {
			if (setp.stepCode.equals(stepCode)) {
				return setp;
			}
		}
		return null;
	}
}
